import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/dev/config/` + url, ...arg)
const requestACC = (url, ...arg) => baseRequest(`/homePage/hmcarousel/` + url, ...arg)
const requestIMG = (url, ...arg) => baseRequest(`/homePage/hmimagenews/` + url, ...arg)
const requestBBQ = (url, ...arg) => baseRequest(`/homePage/hmsupervisioninspectionconfig/` + url, ...arg)
const requestDDL = (url, ...arg) => baseRequest(`/homePage/hmrelatedwebsitesconfig/` + url, ...arg)
const requestRRT = (url, ...arg) => baseRequest(`/homePage/hmgovernmentaffairsconfig/` + url, ...arg)
const requestEEC = (url, ...arg) => baseRequest(`/homePage/hminteractionconfig/` + url, ...arg)
const requestRRY = (url, ...arg) => baseRequest(`/homePage/hmpartyhistoryedu/` + url, ...arg)
const requestPPO = (url, ...arg) => baseRequest(`/homePage/hmcarouselconfig/` + url, ...arg)
const requestUUO = (url, ...arg) => baseRequest(`/sys/user/` + url, ...arg)
const requestRRC = (url, ...arg) => baseRequest(`/organization/ioleaderinfo/` + url, ...arg)
const requestZZD = (url, ...arg) => baseRequest(`/dev/dict/` + url, ...arg)
const requestAAQ = (url, ...arg) => baseRequest(`/organization/iodepartmentfunction/` + url, ...arg)
const requestVVB = (url, ...arg) => baseRequest(`/importantNews/singrainbureaunotice/` + url, ...arg)
const requestPPD = (url, ...arg) => baseRequest(`/importantNews/sinqinghainews/` + url, ...arg)
const requestGUY = (url, ...arg) => baseRequest(`/importantNews/sinstatecouncilnotice/` + url, ...arg)
const requestTZG = (url, ...arg) => baseRequest(`/importantNews/sinnoticeannouncement/` + url, ...arg)
const requestBACK = (url, ...arg) => baseRequest(`/homePage/pbcontrol/` + url, ...arg)

//
export default {
	pagelist(data) {
		return requestUUO('list', data, 'get')
	},
	//字典
	dict(data) {
		return requestZZD('getTreeListByParentId', data, 'get')
	},
	configPage(data) {
		return request('page', data, 'get')
	},
	// 头条轮播图
	HOMElist(data) {
		return requestACC('page', data, 'get')
	},
	//启用禁用
	HOMEtype(data) {
		return requestACC('batchUpdateStatus', data, 'post')
	},
	// 删除
	HOMEdel(data) {
		return requestACC('delete', data, 'post')
	},
	//add
	HOMEadd(data) {
		return requestACC('add', data, 'post')
	},
	//view
	HOMEview(data) {
		return requestACC('detail', data, 'get')
	},
	// edit
	HOMEedit(data) {
		return requestACC('edit', data, 'post')
	},
	//获取首页管理-图片新闻管理表分页
	IMGXWlist(data) {
		return requestIMG('page', data, 'get')
	},
	//ADD
	IMGXWadd(data) {
		return requestIMG('add', data, 'post')
	},
	//view
	IMGXWdetail(data) {
		return requestIMG('detail', data, 'get')
	},
	//edit

	IMGXWedit(data) {
		return requestIMG('edit', data, 'post')
	},
	//del
	IMGXWdelete(data) {
		return requestIMG('delete', data, 'post')
	},
	//启用
	IMGXWbatchUpdateStatus(data) {
		return requestIMG('batchUpdateStatus', data, 'post')
	},
	//获取首页管理-监督检查模块配置表分页
	JDJClist(data) {
		return requestBBQ('page', data, 'get')
	},
	//add
	JDJCadd(data) {
		return requestBBQ('add', data, 'post')
	},
	// detail
	JDJCdetail(data) {
		return requestBBQ('detail', data, 'get')
	},
	//edit
	JDJCedit(data) {
		return requestBBQ('edit', data, 'post')
	},
	//del
	JDJCdel(data) {
		return requestBBQ('delete', data, 'post')
	},
	JDJCbatchUpdateStatus(data) {
		return requestBBQ('batchUpdateStatus', data, 'post')
	},
	//获取首页管理-相关网站模块配置表分页
	XIANGGUANlist(data) {
		return requestDDL('page', data, 'get')
	},
	//add
	XIANGGUANadd(data) {
		return requestDDL('add', data, 'post')
	},
	//detail
	XIANGGUANdetail(data) {
		return requestDDL('detail', data, 'get')
	},
	//edit
	XIANGGUANedit(data) {
		return requestDDL('edit', data, 'post')
	},
	//del
	XIANGGUANdelete(data) {
		return requestDDL('delete', data, 'post')
	},
	XIANGGUANbatchUpdateStatus(data) {
		return requestDDL('batchUpdateStatus', data, 'post')
	},
	// 政务公开模块配置
	ZWGKlist(data) {
		return requestRRT('getList', data, 'get')
	},
	// add
	ZWGKadd(data) {
		return requestRRT('disposition', data, 'post')
	},
	//互动交流模块配置表详情
	HDJLlist(data) {
		return requestEEC('page', data, 'get')
	},
	HDJLadd(data) {
		return requestEEC('disposition', data, 'post')
	},
	//轮播信息管理
	LUNBOTUlist(data) {
		return requestRRY('findPage', data, 'get')
	},
	// 禁用启用
	batchUpdateStatus(data) {
		return requestRRY('batchUpdateStatus', data, 'post')
	},
	//add
	LUNBOTUadd(data) {
		return requestPPO('add', data, 'post')
	},
	LUNBOTUdetail(data) {
		return requestPPO('detail', data, 'get')
	},
	LUNBOTUedit(data) {
		return requestPPO('edit', data, 'post')
	},
	LUNBOTUdel(data) {
		return requestPPO('delete', data, 'post')
	},
	//党史学习教育表
	DANGSHIXXIadd(data) {
		return requestRRY('add', data, 'post')
	},
	DANGSHIXXIdetail(data) {
		return requestRRY('detail', data, 'get')
	},
	DANGSHIXXIedit(data) {
		return requestRRY('edit', data, 'post')
	},
	DANGSHIXXIdel(data) {
		return requestRRY('delete', data, 'post')
	},
	// 获取机构概况-领导信息管理表分页
	//page
	JGGKlist(data) {
		return requestRRC('page', data, 'get')
	},
	JGGKadd(data) {
		return requestRRC('add', data, 'post')
	},
	JGGKdetail(data) {
		return requestRRC('detail', data, 'get')
	},
	JGGKedit(data) {
		return requestRRC('edit', data, 'post')
	},
	JGGKdelete(data) {
		return requestRRC('delete', data, 'post')
	},
	JGGKbatchUpdateStatus(data) {
		return requestRRC('batchUpdateStatus', data, 'post')
	},
	// 获取机构概况-职能信息管理表分页
	ZNXXlist(data) {
		return requestAAQ('page', data, 'get')
	},
	ZNXXdel(data) {
		return requestAAQ('delete', data, 'post')
	},
	ZNXXbatchUpdateStatus(data) {
		return requestAAQ('batchUpdateStatus', data, 'post')
	},
	ZNXXadd(data) {
		return requestAAQ('add', data, 'post')
	},
	ZNXXdetail(data) {
		return requestAAQ('detail', data, 'get')
	},
	ZNXXedit(data) {
		return requestAAQ('edit', data, 'post')
	},
	//获取要闻概况-粮食局公告管理表分页
	LSJQlist(data) {
		return requestVVB('page', data, 'get')
	},
	//add
	LSJQadd(data) {
		return requestVVB('add', data, 'post')
	},
	LSJQdetail(data) {
		return requestVVB('detail', data, 'get')
	},
	LSJQedit(data) {
		return requestVVB('edit', data, 'post')
	},
	LSJQbatchUpdateStatus(data) {
		return requestVVB('batchUpdateStatus', data, 'post')
	},
	//del
	LSJQdelete(data) {
		return requestVVB('delete', data, 'post')
	},
	// 获取要闻概况-青海要闻管理表分页
	QHYWGLlist(data) {
		return requestPPD('page', data, 'get')
	},
	QHYWGLadd(data) {
		return requestPPD('add', data, 'post')
	},
	QHYWGLdetail(data) {
		return requestPPD('detail', data, 'get')
	},
	QHYWGLedit(data) {
		return requestPPD('edit', data, 'post')
	},
	QHYWGLbatchUpdateStatus(data) {
		return requestPPD('batchUpdateStatus', data, 'post')
	},
	QHYWGLdelete(data) {
		return requestPPD('delete', data, 'post')
	},
	// 获取要闻概况-国务院公告管理表分页
	GWYGGGLlist(data) {
		return requestGUY('page', data, 'get')
	},
	GWYGGGLadd(data) {
		return requestGUY('add', data, 'post')
	},
	GWYGGGLdetail(data) {
		return requestGUY('detail', data, 'get')
	},
	GWYGGGLedit(data) {
		return requestGUY('edit', data, 'post')
	},
	GWYGGGLdelete(data) {
		return requestGUY('delete', data, 'post')
	},
	GWYGGGLbatchUpdateStatus(data) {
		return requestGUY('batchUpdateStatus', data, 'post')
	},
	// 获取要闻概况-通知公告管理表分页
	TZGGlist(data) {
		return requestTZG('page', data, 'get')
	},
	TZGGadd(data) {
		return requestTZG('add', data, 'post')
	},
	TZGGdetail(data) {
		return requestTZG('detail', data, 'get')
	},
	TZGGedit(data) {
		return requestTZG('edit', data, 'post')
	},
	TZGGbatchUpdateStatus(data) {
		return requestTZG('batchUpdateStatus', data, 'post')
	},
	TZGGdelete(data) {
		return requestTZG('delete', data, 'post')
	},
	BACKdetail(data) {
		return requestBACK('page', data, 'get')
	},
	BACKedit(data) {
		return requestBACK('edit', data, 'post')
	},
	RRTYIUdet(data) {
		return requestVVB('getIndexNumber', data, 'post')
	},
}
